Subject: Re: bug#17036: Continuation for Emacs: invoking a process on exit?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 18 Apr 2022 10:53:20 +0200

Eli Zaretskii <[email-masked]> writes:

> I guess so.  Although that will be lost as well if Emacs is invoked as
> a GUI program from some desktop shortcut or in some other fancy way
> which redirects the standard handles to the great void...

Yup, but we've already shut down Emacs at this point, so I don't think
we can do much more.

But there is one check we could do at a more meaningful point: We could
check whether argv[0] points to a binary that exists at the start of
`kill-emacs' and then signal an error.  That will probably be the (by
far) most common problem in practice, so it's worth doing that, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no